<div class="p-page">
  <section class="o-card -green">
    <div class="o-card__container" *ngIf="!householdInfoError">
      <h2 class="o-card__title">
        <ng-container
          *ngIf="householdInfo$ | async as householdInfo; else titleIsLoading"
        >
          <mat-icon class="o-card__title__icon">house</mat-icon
          >{{ householdInfo.name }}
        </ng-container>
      </h2>
      <ng-template #titleIsLoading>
        <div class="o-card__title-loading"></div>
      </ng-template>
      <div>
        <p class="center">
          Deel deze app en code met je huisgenoten.
        </p>
        <app-get-started
          [householdCode]="(householdInfo$ | async)?.code"
          [householdName]="(householdInfo$ | async)?.name"
        >
        </app-get-started>
      </div>
    </div>
    <div class="o-card__container" *ngIf="householdInfoError">
      <app-cannot-load
        [message]="'Kan de info niet laden.'"
        (refresh)="onLoadInfoAgain()"
      ></app-cannot-load>
    </div>
  </section>
  <section class="o-card">
    <div class="o-card__container -no-padding">
      <ol class="m-settings-list">
        <li class="m-settings-list__item">
          <a class="m-settings-list__item__link" routerLink="user">
            <span class="m-settings-list__item__link__icon">
              <mat-icon>account_circle</mat-icon>Gebruiker
            </span>
            <span class="m-settings-list__item__link__text">
              <mat-icon>chevron_right</mat-icon>
            </span>
          </a>
        </li>
        <li class="m-settings-list__item">
          <a class="m-settings-list__item__link" routerLink="household">
            <span class="m-settings-list__item__link__icon -blue">
              <mat-icon>house</mat-icon>Huishouden
            </span>
            <span class="m-settings-list__item__link__text">
              <mat-icon>chevron_right</mat-icon>
            </span>
          </a>
        </li>
        <li class="m-settings-list__item">
          <a class="m-settings-list__item__link" routerLink="sign-out">
            <span class="m-settings-list__item__link__icon -blue">
              <mat-icon>exit_to_app</mat-icon>Uitloggen
            </span>
            <span class="m-settings-list__item__link__text">
              <mat-icon>chevron_right</mat-icon>
            </span>
          </a>
        </li>
        <li class="m-settings-list__item">
          <a class="m-settings-list__item__link" routerLink="about">
            <span class="m-settings-list__item__link__icon">
              <mat-icon>info</mat-icon>Over Casa
            </span>
            <span class="m-settings-list__item__link__text">
              <mat-icon>chevron_right</mat-icon>
            </span>
          </a>
        </li>
      </ol>
    </div>
  </section>
</div>
